Subject: Re: [net-next PATCH 1/3] ixgbe: enable HW RSC for 82599

From: Alexander Duyck <[email-masked]>
Date: Wed, 29 Apr 2009 09:16:48 -0700

David Miller wrote:
> From: "Brandeburg, Jesse" <[email-masked]>
> Date: Tue, 28 Apr 2009 17:12:10 -0700 (Pacific Daylight Time)
> 
>> ah, you're right, but this features enables our new hardware that can do 
>> LRO in hardware, and then GRO can work on top of it if necessary.  We 
>> wanted some way to turn it off and overloaded the LRO flag to do so.
> 
> That ugly.  And the kernel is going to turn this off on you
> when the user enables either forwarding or bridging.

That would likely be a desirable consequence.  If the interface is used 
for forwarding or bridging we probably would want to turn the feature 
off since it has many of the same limitations as software LRO.  Then we 
can let software GRO take over and handle all of the coalescing.

Thanks,

Alex